/*
Theme Name:   Łódzkie Targi Książki
Description:  
Template:     twentytwentyfive
Version:      1.0.0
Text Domain:  ltk
*/

html {
    scroll-behavior: smooth;
}

*[id] {
    scroll-margin-top: 150px;
}

.schowanko {
    left: -9999px;
    position: absolute;
}

body {
    font-size: var(--wp--preset--font-size--large);
    line-height: 1.5;
    text-wrap: balance;
}

body[data-input-intent="mouse"] *:active,
body[data-input-intent="mouse"] *:focus {
    outline: none!important;
}

body strong {
    font-weight: 500;
}

h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption {
    text-wrap: balance!important;
}

/* Button variants */
.cn-info .btn,
.cn-info-extended .btn,
.wp-block-button.is-style-secondary > .wp-block-button__link {
    border-color: var(--wp--preset--color--accent-2)!important;
    box-shadow: var(--wp--preset--shadow--shadow-2);
    color: var(--wp--preset--color--accent-2);
}

.wp-block-button.is-style-tertiary > .wp-block-button__link {
    border-color: var(--wp--preset--color--accent-3)!important;
    box-shadow: var(--wp--preset--shadow--shadow-3);
    color: var(--wp--preset--color--accent-3);
}

.wp-block-button > .wp-block-button__link:is(:active, :focus, :hover) {
    background: var(--wp--preset--color--accent-1);
    color: var(--wp--preset--color--base);
}

.wp-block-button.is-style-secondary > .wp-block-button__link:is(:active, :focus, :hover) {
    background: var(--wp--preset--color--accent-2);
    color: var(--wp--preset--color--base);
}

.wp-block-button.is-style-tertiary > .wp-block-button__link:is(:active, :focus, :hover) {
    background: var(--wp--preset--color--accent-3);
    color: var(--wp--preset--color--base);
}

/* Text classes */
.is-text-red em {
    color: var(--wp--preset--color--accent-1);
    font-style: normal;
}

.is-text-blue em {
    color: var(--wp--preset--color--accent-2);
    font-style: normal;
}

.is-text-yellow em {
    color: var(--wp--preset--color--accent-3);
    font-style: normal;
}

.is-small-text {
    font-size: 15px;
    margin-bottom: var(--wp--preset--spacing-10);
}

/* Colorued blocks */
.is-red-bg,
.is-blue-bg,
.is-yellow-bg,
.is-light-bg {
    padding: var(--wp--preset--spacing--40)!important;
}

.is-red-bg {
    background: var(--wp--preset--color--accent-4);
}

.is-light-bg {
    background: #f5f5f5;
}

.is-blue-bg {
    background: var(--wp--preset--color--accent-5);
}

.is-yellow-bg {
    background: var(--wp--preset--color--accent-6);
}

.is-red-bg .wp-block-heading > em {
    color: var(--wp--preset--color--accent-1);
    font-style: normal;
}

.is-blue-bg .wp-block-heading > em {
    color: var(--wp--preset--color--accent-2);
    font-style: normal;
}

.is-yellow-bg .wp-block-heading > em {
    color: var(--wp--preset--color--accent-3);
    font-style: normal;
}

.is-light-bg .wp-block-heading > em {
    font-style: normal!important;
}

/* wp details block */
.wp-block-details summary {
    font-weight: 600;
    position: relative;
}

.wp-block-details summary::before {
    background: #fff;
    border: 4px solid var(--wp--preset--color--accent-3);
    box-shadow: var(--wp--preset--shadow--shadow-3);
    content: "";
    height: 16px;
    left: -36px;
    position: absolute;
    top: 2px;
    width: 16px;
}

.wp-block-details[open] {
    margin-bottom: var(--wp--preset--spacing--30);
}

.wp-block-details[open] summary::before {
    background: var(--wp--preset--color--accent-3);
}

.wp-block-details summary::marker,
.wp-block-details summary::-webkit-details-marker {
    content: none!important;
    display: none!important;
}

/* Equal columns */
.wp-block-columns.is-equal .wp-block-column .wp-block-group {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.wp-block-columns.is-equal .wp-block-column .wp-block-heading {
    margin-left: 0!important;
}

.wp-block-columns.is-equal .wp-block-column .wp-block-buttons {
    margin-top: auto;
    width: 100%;
}

/* Site header */
#site-header .has-small-font-size {
    font-size: 16px!important;
}

#site-header .wp-block-navigation__responsive-container-open {
    transform: scale(1.5);
    transform-origin: center right;
}

/* Footer */
#site-footer .has-small-font-size {
    font-size: 15px!important;
}

/* RWD */

@media (max-width: 1320px) {
    #site-header .has-small-font-size {
        font-size: 15px!important;
    }   

    #site-header .wp-block-button__link.wp-element-button {
        padding-left: var(--wp--preset--spacing--30);
        padding-right: var(--wp--preset--spacing--30);
    }
}

@media (max-width: 1280px) {
    body {
        --wp--style--root--padding-right: var(--wp--preset--spacing--30)!important;
        --wp--style--root--padding-left: var(--wp--preset--spacing--30)!important;
    }

    #site-header .has-small-font-size {
        font-size: 14px!important;
    }   

    #site-header .wp-block-button__link.wp-element-button {
        padding-left: var(--wp--preset--spacing--20);
        padding-right: var(--wp--preset--spacing--20);
    }
}

@media (max-width: 1180px) {
    #site-header .wp-block-site-logo img {
        height: auto;
        max-width: 150px;
    }
}

@media (max-width: 1100px) {
    #site-header .has-small-font-size {
        font-size: 18px!important;
    }

    #site-header .wp-block-site-logo img {
        height: auto;
        max-width: 200px;
    }

    #site-header .wp-block-navigation__responsive-container-content,
    #site-header .wp-block-navigation__responsive-container-content ul {
        align-items: center;
        justify-content: center;
    }
}

/* Change breakpoint for menu */
@media (min-width: 1100px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;
    }

    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: block !important;
        width: 100%;
        position: relative;
        z-index: auto;
        background-color: inherit;
    }
}

/* neutralize the wp default for 600px */
@media (min-width: 600px) {
    .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
    }
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
    }
}

@media (max-width: 600px) {
    .wp-block-buttons > .wp-block-button {
        width: 100%;
    }

    .wp-block-button > .wp-block-button__link {
        line-height: 1.4;
        width: 100%;
    }

    #site-footer {
        text-align: center;
    }

    .wp-block-group.is-faq {
        margin-left: 25px!important;
    }

    .wp-block-details summary::before {
        border-width: 3px;
        height: 12px;
        left: -28px;
        top: 3px;
        width: 12px;
    }

    .is-red-bg,
    .is-blue-bg,
    .is-yellow-bg,
    .is-light-bg {
        padding: var(--wp--preset--spacing--30)!important;
    }
}